﻿using System;
using System.Xml;

namespace TesterClasses
{
    public class Choice
    {
        private string text;
        private bool isTrue;
        public Choice()
        { }

        public Choice(string text, bool isTrue)
        {
            this.text = text;
            this.isTrue = isTrue;
        }

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        public bool IsTrue
        {
            get { return isTrue; }
            set { isTrue = value; }
        }

        internal void SaveToXml(XmlTextWriter writer)
        {
            writer.WriteStartElement("Choice");
            writer.WriteAttributeString("isTrue", isTrue.ToString());
            writer.WriteString(text);
            writer.WriteEndElement();
        }

        internal void LoadFromXml(XmlTextReader reader)
        {
            //while (reader.NodeType != XmlNodeType.Attribute)
            //    reader.Read();
            this.isTrue = bool.Parse(reader.GetAttribute(0));
            while (reader.NodeType != XmlNodeType.Text)
                reader.Read();
            this.text = reader.Value;
            //while ((reader.NodeType != XmlNodeType.Element && reader.Name != "Choice") || reader.Name != "Question")
            for (int i = 0; i < 2; ++i)
                reader.Read();
        }
    }
}
