﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using TesterClasses;

namespace Tester
{
    public partial class Stats : Form
    {
        public Stats()
        {
            InitializeComponent();
        }

        public void ShowResults(TestResults results)
        {
            /*ResultTextBox.Text = string.Format("{0}\n{1}\n{2}\n",
                "Название теста: " + results.testName,
                "Правильных ответов: " + results.rightAnswers.ToString() + " из " + results.numberOfQuestions.ToString(),
                "Тест выполнен за " + results.interval.TotalMinutes + " минут");*/
            string[] resultString = {"Название теста: " + results.testName,
                "Правильных ответов: " + results.rightAnswers.ToString() + " из " + results.numberOfQuestions.ToString() + " (" + 
                ((double)results.rightAnswers / results.numberOfQuestions) * 100 + "%)",
                "Тест выполнен за " + results.interval.TotalMinutes + " минут"};
            ResultTextBox.Lines = resultString;
        }
    }
}